### Function

# Gimp gimprc_set

#### Declaration [src]

    gboolean
    gimp_gimprc_set (
      const gchar* token,
      const gchar* value
    )

#### Description [src]

Sets a gimprc token to a value and saves it in the gimprc.

This procedure is used to add or change additional information in the gimprc file that is considered extraneous to the operation of GIMP. Plug-ins that need configuration information can use this function to store it, and `gimp_gimprc_query()` to retrieve it. This will accept only string values in UTF-8 encoding.

#### Parameters

`token`

  Type: `const gchar*`

  The token to add or modify.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  The value to set the token to.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

TRUE on success.